Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Public creator profiles and their scripts.
GET https://api.roscripts.io/v1/owners/{username}
{ "result": { "owner": { "username": "somedev", "verified": true, "pro": true, "avatar": "https://…", "scriptCount": 12, "totalViews": 482301, "totalLikes": 9120 } } }
404
GET https://api.roscripts.io/v1/owners/{username}/scripts
sortBy=score
curl "https://api.roscripts.io/v1/owners/somedev/scripts?sortBy=views&max=20"
{ "result": { "owner": "somedev", "scripts": [ { "id": "lst_…", "title": "…", "loadstring": "https://script.roscripts.io/…" } ], "page": 1, "max": 20, "total": 12, "totalPages": 1, "nextPage": null }, "meta": { "page": 1, "max": 20, "total": 12, "totalPages": 1, "nextPage": null, "nextCursor": null } }